package com.sooka.system.domain;

import java.util.Date;

import com.sooka.common.annotation.Excel;
import com.sooka.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 单位信息对象 tgjj_dwxx
 *
 * @author lei
 * @date 2021-11-16
 */
public class TgjjDwxx extends BaseBusinessEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long ID;

    /** 单位名称 */
    @Excel(name = "单位名称")
    private String DWMC;

    /** 单位账号 */
    @Excel(name = "单位账号")
    private String DWZH;

    /** 单位地址 */
    @Excel(name = "单位地址")
    private String DWDZ;

    /** 单位法人代表姓名 */
    @Excel(name = "单位法人代表姓名")
    private String DWFRDBXM;

    /** 单位法人代表证件类型 */
    @Excel(name = "单位法人代表证件类型")
    private String DWFRDBZJLX;

    /** 单位法人代表证件号码 */
    @Excel(name = "单位法人代表证件号码")
    private String DWFRDBZJHM;

    /** 单位隶属关系 */
    @Excel(name = "单位隶属关系")
    private String DWLSGX;

    /** 单位经济类型 */
    @Excel(name = "单位经济类型")
    private String DWJJLX;

    /** 单位所属行业 */
    @Excel(name = "单位所属行业")
    private String DWSSHY;

    /** 单位邮编 */
    @Excel(name = "单位邮编")
    private String DWYB;

    /** 单位电子信箱 */
    @Excel(name = "单位电子信箱")
    private String DWDZXX;

    /** 单位发薪日 */
    @Excel(name = "单位发薪日")
    private String DWFXR;

    /** 经办人姓名 */
    @Excel(name = "经办人姓名")
    private String JBRXM;

    /** 经办人固定电话号码 */
    @Excel(name = "经办人固定电话号码")
    private String JBRGDDHHM;

    /** 经办人手机号码 */
    @Excel(name = "经办人手机号码")
    private String JBRSJHM;

    /** 经办人证件类型 */
    @Excel(name = "经办人证件类型")
    private String JBRZJLX;

    /** 经办人证件号码 */
    @Excel(name = "经办人证件号码")
    private String JBRZJHM;

    /** 组织机构代码 */
    @Excel(name = "组织机构代码")
    private String ZZJGDM;

    /** 单位设立日期 */
    @Excel(name = "单位设立日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date DWSLRQ;

    /** 单位开户日期 */
    @Excel(name = "单位开户日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date DWKHRQ;

    /** 受托银行名称 */
    @Excel(name = "受托银行名称")
    private String STYHMC;

    /** 受托银行代码 */
    @Excel(name = "受托银行代码")
    private String STYHDM;

    /** 统一社会信用代码 */
    @Excel(name = "统一社会信用代码")
    private String TYSHXYDM;

    /** 中心编号 */
    @Excel(name = "中心编号")
    private String ZXBH;

    /** 最后更新时间戳 */
    @Excel(name = "最后更新时间戳", width = 30, dateFormat = "yyyy-MM-dd")
    private Date lastUpdateTime;

    /** 单位性质 */
    @Excel(name = "单位性质")
    private String DWXZ;

    /** 处理类型 */
    @Excel(name = "处理类型")
    private Long CLLX;

    public void setID(Long ID)
    {
        this.ID = ID;
    }

    public Long getID()
    {
        return ID;
    }
    public void setDWMC(String DWMC)
    {
        this.DWMC = DWMC;
    }

    public String getDWMC()
    {
        return DWMC;
    }
    public void setDWZH(String DWZH)
    {
        this.DWZH = DWZH;
    }

    public String getDWZH()
    {
        return DWZH;
    }
    public void setDWDZ(String DWDZ)
    {
        this.DWDZ = DWDZ;
    }

    public String getDWDZ()
    {
        return DWDZ;
    }
    public void setDWFRDBXM(String DWFRDBXM)
    {
        this.DWFRDBXM = DWFRDBXM;
    }

    public String getDWFRDBXM()
    {
        return DWFRDBXM;
    }
    public void setDWFRDBZJLX(String DWFRDBZJLX)
    {
        this.DWFRDBZJLX = DWFRDBZJLX;
    }

    public String getDWFRDBZJLX()
    {
        return DWFRDBZJLX;
    }
    public void setDWFRDBZJHM(String DWFRDBZJHM)
    {
        this.DWFRDBZJHM = DWFRDBZJHM;
    }

    public String getDWFRDBZJHM()
    {
        return DWFRDBZJHM;
    }
    public void setDWLSGX(String DWLSGX)
    {
        this.DWLSGX = DWLSGX;
    }

    public String getDWLSGX()
    {
        return DWLSGX;
    }
    public void setDWJJLX(String DWJJLX)
    {
        this.DWJJLX = DWJJLX;
    }

    public String getDWJJLX()
    {
        return DWJJLX;
    }
    public void setDWSSHY(String DWSSHY)
    {
        this.DWSSHY = DWSSHY;
    }

    public String getDWSSHY()
    {
        return DWSSHY;
    }
    public void setDWYB(String DWYB)
    {
        this.DWYB = DWYB;
    }

    public String getDWYB()
    {
        return DWYB;
    }
    public void setDWDZXX(String DWDZXX)
    {
        this.DWDZXX = DWDZXX;
    }

    public String getDWDZXX()
    {
        return DWDZXX;
    }
    public void setDWFXR(String DWFXR)
    {
        this.DWFXR = DWFXR;
    }

    public String getDWFXR()
    {
        return DWFXR;
    }
    public void setJBRXM(String JBRXM)
    {
        this.JBRXM = JBRXM;
    }

    public String getJBRXM()
    {
        return JBRXM;
    }
    public void setJBRGDDHHM(String JBRGDDHHM)
    {
        this.JBRGDDHHM = JBRGDDHHM;
    }

    public String getJBRGDDHHM()
    {
        return JBRGDDHHM;
    }
    public void setJBRSJHM(String JBRSJHM)
    {
        this.JBRSJHM = JBRSJHM;
    }

    public String getJBRSJHM()
    {
        return JBRSJHM;
    }
    public void setJBRZJLX(String JBRZJLX)
    {
        this.JBRZJLX = JBRZJLX;
    }

    public String getJBRZJLX()
    {
        return JBRZJLX;
    }
    public void setJBRZJHM(String JBRZJHM)
    {
        this.JBRZJHM = JBRZJHM;
    }

    public String getJBRZJHM()
    {
        return JBRZJHM;
    }
    public void setZZJGDM(String ZZJGDM)
    {
        this.ZZJGDM = ZZJGDM;
    }

    public String getZZJGDM()
    {
        return ZZJGDM;
    }
    public void setDWSLRQ(Date DWSLRQ)
    {
        this.DWSLRQ = DWSLRQ;
    }

    public Date getDWSLRQ()
    {
        return DWSLRQ;
    }
    public void setDWKHRQ(Date DWKHRQ)
    {
        this.DWKHRQ = DWKHRQ;
    }

    public Date getDWKHRQ()
    {
        return DWKHRQ;
    }
    public void setSTYHMC(String STYHMC)
    {
        this.STYHMC = STYHMC;
    }

    public String getSTYHMC()
    {
        return STYHMC;
    }
    public void setSTYHDM(String STYHDM)
    {
        this.STYHDM = STYHDM;
    }

    public String getSTYHDM()
    {
        return STYHDM;
    }
    public void setTYSHXYDM(String TYSHXYDM)
    {
        this.TYSHXYDM = TYSHXYDM;
    }

    public String getTYSHXYDM()
    {
        return TYSHXYDM;
    }
    public void setZXBH(String ZXBH)
    {
        this.ZXBH = ZXBH;
    }

    public String getZXBH()
    {
        return ZXBH;
    }
    public void setLastUpdateTime(Date lastUpdateTime)
    {
        this.lastUpdateTime = lastUpdateTime;
    }

    public Date getLastUpdateTime()
    {
        return lastUpdateTime;
    }
    public void setDWXZ(String DWXZ)
    {
        this.DWXZ = DWXZ;
    }

    public String getDWXZ()
    {
        return DWXZ;
    }
    public void setCLLX(Long CLLX)
    {
        this.CLLX = CLLX;
    }

    public Long getCLLX()
    {
        return CLLX;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("ID", getID())
            .append("DWMC", getDWMC())
            .append("DWZH", getDWZH())
            .append("DWDZ", getDWDZ())
            .append("DWFRDBXM", getDWFRDBXM())
            .append("DWFRDBZJLX", getDWFRDBZJLX())
            .append("DWFRDBZJHM", getDWFRDBZJHM())
            .append("DWLSGX", getDWLSGX())
            .append("DWJJLX", getDWJJLX())
            .append("DWSSHY", getDWSSHY())
            .append("DWYB", getDWYB())
            .append("DWDZXX", getDWDZXX())
            .append("DWFXR", getDWFXR())
            .append("JBRXM", getJBRXM())
            .append("JBRGDDHHM", getJBRGDDHHM())
            .append("JBRSJHM", getJBRSJHM())
            .append("JBRZJLX", getJBRZJLX())
            .append("JBRZJHM", getJBRZJHM())
            .append("ZZJGDM", getZZJGDM())
            .append("DWSLRQ", getDWSLRQ())
            .append("DWKHRQ", getDWKHRQ())
            .append("STYHMC", getSTYHMC())
            .append("STYHDM", getSTYHDM())
            .append("TYSHXYDM", getTYSHXYDM())
            .append("ZXBH", getZXBH())
            .append("lastUpdateTime", getLastUpdateTime())
            .append("DWXZ", getDWXZ())
            .append("CLLX", getCLLX())
            .toString();
    }
}
